package goap

type AddressData struct {
	Next    BaseApChain
	Address string
}

func (misskeysummarydata *AddressData) GetSelfOrBase() (BaseApChain, bool) {
	return misskeysummarydata.Next, true
}

func (misskeysummarydata *AddressData) MarshalToMap() map[string]any {
	return appendWithKey(
		misskeysummarydata.Next.MarshalToMap(),
		KEY_W3_VCARD_ADRESS,
		[]map[string]any{{KEY_VALUE: misskeysummarydata.Address}},
	)
}

type BirthdayData struct {
	Next     BaseApChain
	Birthday string
}

func (misskeysummarydata *BirthdayData) GetSelfOrBase() (BaseApChain, bool) {
	return misskeysummarydata.Next, true
}

func (misskeysummarydata *BirthdayData) MarshalToMap() map[string]any {
	return appendWithKey(
		misskeysummarydata.Next.MarshalToMap(),
		KEY_W3_VCARD_BIRTHDAY,
		[]map[string]any{{KEY_VALUE: misskeysummarydata.Birthday}},
	)
}
